<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100169";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	//////Identificar la Cuenta y la Bodega
	$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
	if (mysql_numrows($sqlCR1)==0) echo "";
	else{
		$registroCR1=mysql_fetch_array($sqlCR1);
	}
	if (mysql_numrows($sqlCR1)>0)
	{
		$CveBodCR1=$registroCR1["CVE_BODEGA"];
		$CveCueCR1=$registroCR1["CVE_CUENTA"];
	}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0)
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//condicion docyumentos_cerrados
		//$docs = mysql_query("SELECT ID FROM tabla_documentos WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND TIPODEINGRESO=3 AND ESTADO_DOCUMENTO!='CERRADO'");if(mysql_numrows($docs)>0){echo "<script>alert('Existen documentos de devolución que no se han cerrado\\nFavor de corroborarlo.');</script>";echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";exit();}
			
		$ubic = $_GET['ubic'] or $ubic = $_POST['ubic'];
		
		$EX = mysql_query("SELECT * FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubic' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'");if(mysql_numrows($EX)==0){echo "<script>alert('la ubicación \'$ubic\' no está dada de alta\\nFavor de corroborarlo.')</script>";echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-transferencia.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";exit();}
		
		
		//prioridad de ubic
		$FA = mysql_query("SELECT PRIORIDAD FROM tabla_prioridad WHERE UBICACION='$ubic' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
		if(mysql_numrows($EX)==0){
		echo "<script>alert('la prioridad de la ubicación \'$ubic\' no está dada de alta\\nFavor de corroborarlo.')</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-transferencia.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		exit();}
		$priori = mysql_fetch_array($FA);
		$prio = $priori[0];
		
		//TABLA INVENT
		$EX = mysql_query("SELECT tabla_inventario.SKU,SUM(tabla_inventario.CANTIDAD) AS CANTIDAD, tabla_inventario.EDO_CALIDAD,tabla_inventario.DESCRIPCION  FROM tabla_inventario WHERE tabla_inventario.UBICACION='$ubic' AND tabla_inventario.CVE_CUENTA='$CveCueCR1' AND tabla_inventario.CVE_BODEGA='$CveBodCR1' AND tabla_inventario.CANTIDAD>0 GROUP BY tabla_inventario.SKU");
		//echo "SELECT tabla_inventario.SKU,SUM(tabla_inventario.CANTIDAD) AS CANTIDAD, tabla_inventario.EDO_CALIDAD,tabla_inventario.DESCRIPCION  FROM tabla_inventario WHERE tabla_inventario.UBICACION='$ubic' AND tabla_inventario.CVE_CUENTA='$CveCueCR1' AND tabla_inventario.CVE_BODEGA='$CveBodCR1' GROUP BY tabla_inventario.SKU";
		$prod=mysql_fetch_array($EX);
		
		$pzas=mysql_query("SELECT tabla_altaproducto.PZASXCAJA FROM tabla_altaproducto WHERE tabla_altaproducto.CVE_BODEGA = '$CveBodCR1' AND tabla_altaproducto.CUENTA = '$CveCueCR1' AND tabla_altaproducto.SKU = '$prod[SKU]'");
		$xpzas=mysql_fetch_array($pzas);
		//echo "SELECT tabla_altaproducto.PZASXCAJA FROM tabla_altaproducto WHERE tabla_altaproducto.CVE_BODEGA = '$CveBodCR1' AND tabla_altaproducto.CUENTA = '$CveCueCR1' AND tabla_altaproducto.SKU = '$prod[SKU]'";
			
		
		$devoluc = false;
		$destruc = false;
		$DEVOL = mysql_query("SELECT TIPODEUBICACION FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubic'");
		$DEV = mysql_fetch_array($DEVOL);
		if($DEV[0] == 'DEVOLUCION'){
			$devoluc = true;
		}
		if($DEV[0] == 'DESTRUCCION'){
			$destruc = true;
		}
		
		$nsk = mysql_query("SELECT DISTINCT(SKU) FROM tabla_inventario WHERE CANTIDAD>0 AND UBICACION='$ubic' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
		if(mysql_numrows($nsk)>1 and !$devoluc and !$destruc){
		//CONFIRM: STAY OR GO OUT
			echo "<script>alert('Existe más de un sku en la ubicación \'$ubic\', al no estar destinados a destrucción o devolución, solo se procesara 1 código.')</script>";
		}
		
		$dest = mysql_query("select OBSERVACIONES FROM tabla_altaproducto WHERE SKU='$sku' AND CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
		$dst = mysql_fetch_array($dest);
		$destino = $dst[0];
		
		
		if(mysql_numrows($EX)==0){
			echo "<script>alert('No existen registros de mercancia recibida en la ubicación \'$ubic\'\\nFavor de corroborarlo')</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-transferencia.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			exit();
			}
		
		if($devoluc){$fi = mysql_query("SELECT 'Varios' AS SKU,SUM(tabla_inventario.CANTIDAD) AS CANTIDAD,'X' AS PZASXCAJA, tabla_inventario.EDO_CALIDAD  FROM tabla_inventario WHERE tabla_inventario.UBICACION='$ubic' AND tabla_inventario.CVE_CUENTA='$CveCueCR1' AND tabla_inventario.CANTIDAD>0 AND tabla_inventario.CVE_BODEGA='$CveBodCR1'");
			$prod = mysql_fetch_array($fi);
			}
		
		$multi = 0;
		if($devoluc or $destruc){
			$multi = 1;
			}
		
		//echo "SKU: $prod[0], CANTIDAD: $prod[1], EMPACADO: $prod[2], CALIDAD: $prod[3]";
		
		$suge = mysql_query("SELECT DISTINCT(UBICACION) FROM tabla_inventario WHERE SKU='$prod[0]' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND TIPO_UBICACION != 'DESTRUCCION' AND TIPO_UBICACION != 'DEVOLUCION' AND TIPO_UBICACION != 'BULK' AND TIPO_UBICACION != 'BULK-TEMPORAL' AND TIPO_UBICACION != 'PULL DE RECIBO' LIMIT 5");
		if(mysql_numrows($suge)>0){
		$sug = "";
		WHILE($su = mysql_fetch_array($suge)){
			$sug = $sug.$su[0].",<br> ";
			}
			$sug = substr($sug, 0, -6);
		$sugerida = "<tr><td><b><font class='Clase_TipoLetra'>Ubicaciones sugeridas:</font></b></td><td>$sug</td></tr><tr><td>&nbsp;</td><td>&nbsp;</td></tr>";
		}
				
////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="7-transferencia3.php">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		  <td colspan="2" align="center"><font class="Clase_TipoLetra">Transferencia</font></td>
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
	      </tr>
		  <tr>
		    <td><b><font class="Clase_TipoLetra">SKU:</font></b></td>
		    <td><?php echo $prod[0]?></td>
	      </tr>
		  <?PHP
			  if($multi == 0){echo "<tr><td><b><font class='Clase_TipoLetra'>Descripción:</font></b></td><td>$prod[3]</td></tr>";}
			  ?>
		  <tr>
		    <td><b><font class="Clase_TipoLetra">Cantidad:</font></b></td>
		    <td><FONT style='color:#F00;'><b><?php echo $prod[1]?> Piezas</b></FONT></td>
	      </tr>
		  <tr>
		    <td><b><font class="Clase_TipoLetra">Edo. calidad:</font></b></td>
		    <td><?php echo $prod[2]?></td>
	      </tr>
		  <tr>
		    <td><b><font class="Clase_TipoLetra">Ubicación actual:</font></b></td>
		    <td><?php echo $ubic?></td>
	      </tr>
		  
		  <?php echo $sugerida;?>
		  
		  <tr>
		    <td width="77"><font class="Clase_TipoLetra"><b>Ubicación de destino:</b></font></td>
		    <td width="113"><input name="ubicdest" type="text" id="txt_Usuario" size="25" required="required" autofocus="autofocus"/></td>
		  </tr>
		  <tr>
		    <td colspan="2"><input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" />
		<input type="hidden" name="prio"
		value="<?PHP echo $prio; ?>" />
		 <input type="hidden" name="ubactual"
		value="<?PHP echo $ubic; ?>" />
		 <input type="hidden" name="multi"
		value="<?PHP echo $multi; ?>" />
		
		</td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center"><input type="submit" name="button" id="button" value="Aplicar" /></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center"><input type="button" value="Regresar" onClick=" window.location.href='<?PHP echo"7-transferencia.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn";?>' "></td>
	      </tr>
		</table>
	</form>

      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
